Bug 1294865 - Review Request: python3-six - Python 2 and 3 compatibility utilities
Review Request: python3-six - Python 2 and 3 compatibility utilities
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
epel7
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
:
Depends On: 1294856
Blocks: 1301291
  Show dependency treegraph
 
Reported: 2015-12-30 13:46 EST by Orion Poplawski
Modified: 2016-02-16 20:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 20:56:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-12-30 13:46:56 EST
Orion Poplawski 2015-12-30 13:09:58 EST

Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-six.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-six-1.10.0-1.el7.src.rpm
Description: 
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

Fedora Account System Username: orion

Copr: https://copr.fedoraproject.org/coprs/g/python/python3_epel7/
Comment 1 Alan Pevec 2016-01-01 18:07:06 EST
Should it be mentioned in the package description that python-six is in RHEL7 and this is python3 only package?
Comment 2 Orion Poplawski 2016-01-02 10:10:46 EST
I don't think it belongs in the description as I'm not sure it's relevant for consumers.  Perhaps a comment in the spec file, but it will be retired on the master branch with a note to that effect so even that I'm not sure is necessary.
Comment 3 Matthias Runge 2016-01-05 03:03:52 EST
/me would think it'll be highly confusing for users to have different versions of six for python2 and python3.
centos has six-1.9.0-2, that should be the same for RHEL.

http://mirror.centos.org/centos/7/os/x86_64/Packages/python-six-1.9.0-2.el7.noarch.rpm
Comment 4 Orion Poplawski 2016-01-06 13:56:57 EST
The python 3X stacks are treated as completely independent from the python 2 stack.  See https://lists.fedoraproject.org/archives/list/epel-devel%40lists.fedoraproject.org/thread/WJSHWN25VCHWBD5EIMXPZOHBTM6NJZYL/ for discussion.  The changes in six from 1.9 to 1.10 are pretty minimal too.
Comment 5 Denis Fateyev 2016-01-27 12:14:14 EST
It has been recently discussed in the list, and seems no issues found.
I'll review it soon.
Comment 6 Denis Fateyev 2016-01-27 13:07:46 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 8 files have
     unknown license. Detailed output of licensecheck in
     /home/mock/sandbox/review/1294865-python3-six/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/__pycache__(netstat-monitor, python3-pytest,
     python3-decorator, python3-six, python3-libs, python3-setuptools)
Note: not related to epel7.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-six-1.10.0-1.el7.centos.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:

Requires
--------

Provides
--------


Separate "python34-six-1.10.0-1.el7.centos.noarch.rpm" checks:
----------------------------------
rpmlint:

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpm -qp --requires python34-six-1.10.0-1.el7.centos.noarch.rpm | sort | uniq -c
      1 python(abi) = 3.4
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PartialHardlinkSets) <= 4.0.4-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -qp --provides python34-six-1.10.0-1.el7.centos.noarch.rpm | sort | uniq -c
      1 python34-six = 1.10.0-1.el7.centos

Source checksums
----------------
http://pypi.python.org/packages/source/s/six/six-1.10.0.tar.gz :
  CHECKSUM(SHA256) this package     : 105f8d68616f8248e24bf0e9372ef04d3cc10104f1980f54d57b2ce73a5ad56a
  CHECKSUM(SHA256) upstream package : 105f8d68616f8248e24bf0e9372ef04d3cc10104f1980f54d57b2ce73a5ad56a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1294865
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Remarks:
--------
1) Please remove "This is the Python 2 build of the module" line from the description. Although "python3-six" package won't be ever built this note about Python 2 is a bit confusing;
2) Please add CHANGES to the %doc, worth keep it.

Otherwise, the package is APPROVED.
Comment 7 Orion Poplawski 2016-01-27 13:24:56 EST
Thanks for the review.
Comment 8 Gwyn Ciesla 2016-01-28 09:57:26 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python3-six
Comment 9 Fedora Update System 2016-01-29 13:21:57 EST
python3-six-1.10.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9984dd80af
Comment 10 Fedora Update System 2016-01-31 17:47:41 EST
python3-six-1.10.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9984dd80af
Comment 11 Fedora Update System 2016-02-16 20:56:37 EST
python3-six-1.10.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.